Package org.python.modules

# Class errno

java.lang.Object
org.python.modules.errno

All Implemented Interfaces:
  `ClassDictInit`

public class errno extends Object implements ClassDictInit
The Python errno module. Errno constants can be accessed from Java code via `Errno`, e.g. Errno.ENOENT.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PyString`
`__doc__`
`static final PyObject`
`errorcode`
Reverse mapping of codes to names.

## Constructor Summary

Constructors
Constructor
Description
`errno()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`classDictInit(PyObject dict)`
`static PyObject`
`strerror(PyObject code)`
Deprecated.
Use jnr.constants.platform.Errno.valueOf(code).toString() (or os.strerror from Python) instead.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static final PyString __doc__

### errorcode

public static final PyObject errorcode
Reverse mapping of codes to names.

## Constructor Details

### errno

public errno()

## Method Details

### classDictInit

public static void classDictInit(PyObject dict)

### strerror

@Deprecated public static PyObject strerror(PyObject code)
Deprecated.
Use jnr.constants.platform.Errno.valueOf(code).toString() (or os.strerror from Python) instead.